­čî│ Wydania wersji Nikodem

Poniewa┼╝ diabe┼é tkwi w szczeg├│┼éach, a Tw├│j znak jest niew┼éa┼Ťciwy. Z pozoru ten sam a to inny klawisz.

Masz tak:
ÔÇÖ wpis ÔÇÖ

A powiniene┼Ť mie─ç:

' wpis '

Znak cudzysłowu można również użyć, to nawet ten sam klawisz :wink:

Dzisiaj byla aktualizacja. Co ona wnosi?

Pewnie nowy HA 2022.9.2 :slight_smile:

I kolejna aktualizacja w HA z wczoraj :slight_smile:

Na bramce jest AIS HA 2022.9.1 po aktualizacji

1 polubienie

Nowa wersja wydana na kanale ALFA i BETA:

image

Najnowszy HA Core 2022.9.4 wydany dzisiaj:

:warning: ┼╝eby aktualizacja by┼éa dost─Öna trzeba mie─ç bramk─Ö na kanale alfa lub beta oraz zainstalowa─ç aplikacj─Ö AIS Serwer z obs┼éug─ů pakiet├│w Termux - wi─Öcej informacji tu:

co┼Ť nie idzie

3|ais  | 2022-09-16 13:15:40.140 INFO (SyncWorker_1) [homeassistant.components.ais_updater] execute_upgrade
3|ais  | 2022-09-16 13:15:40.764 INFO (SyncWorker_1) [homeassistant.components.ais_updater] Can't get android googlequicksearchbox apk version! Command 'su -c "dumpsys package com.google.android.googlequicksearchbox | grep versionName"' returned non-zero exit status 1.
3|ais  | 2022-09-16 13:15:41.750 ERROR (SyncWorker_1) [homeassistant.components.ais_updater] Received invalid info from AIS dom Update JSONDecoder.__init__() got an unexpected keyword argument 'content_type'

co┼Ť za du┼╝o odinstalowa┼éem ?

Unable to find package: com.google.android.googlequicksearchbox

doinstalowałem search google ale nadal:

3|ais  | 2022-09-20 18:28:42.766 ERROR (SyncWorker_13) [homeassistant.components.ais_updater] Received invalid info from AIS dom Update JSONDecoder.__init__() got an unexpected keyword argument 'content_type'

zajzawszy do kodu dochodzę do wniosku jakoby nie podobało mu się tutaj:

/data/data/com.termux/files/usr/lib/python3.10/site-packages/homeassistant/components/ais_updater/__init__.py
ws_resp = call.json(content_type=None)
res = await req.json(content_type=None)
ws_resp = call.json(content_type=None)

czy nie trzeba usun─ů─ç tego ?

content_type=None

@g3n3zyp Spr├│buj wr├│ci─ç do opisu instalacji r─Öcznej z 1 wrze┼Ťnia i wykonaj pkt.2:

alfa.sh i beta.sh to b─Ödzie to samo ?
aktualnie mam ustawione na BETA, naprawi si─Ö jak puszcz─Ö alfa.sh ?

@g3n3zyp Aktualnie BETA = ALFA, wi─Öc zr├│b wg opisu i b─Ödziesz na bie┼╝─ůco z wersjami.

thx, aktualizacja poszła

w logach małe errory:
pierwszy w skrypcie alfa.sh a te ni┼╝ej z ais przy starcie

ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
hass-nabucasa 0.54.1 requires cryptography<37.0,>=2.8, but you have cryptography 37.0.4 which is incompatible.

3|ais  | 2022-09-22 11:23:30.824 INFO (MainThread) [homeassistant.setup] Setting up bluetooth
3|ais  | 2022-09-22 11:23:30.830 ERROR (MainThread) [homeassistant.setup] Error during setup of component bluetooth
3|ais  | Traceback (most recent call last):
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/homeassistant/setup.py", line 235, in _async_setup_component
3|ais  |     result = await task
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/homeassistant/components/bluetooth/__init__.py", line 224, in async_setup
3|ais  |     adapters = await manager.async_get_bluetooth_adapters()
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/homeassistant/components/bluetooth/manager.py", line 199, in async_get_bluetooth_adapters
3|ais  |     self._adapters = await async_get_bluetooth_adapters()
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/homeassistant/components/bluetooth/util.py", line 43, in async_get_bluetooth_adapters
3|ais  |     adapter_details = await get_bluetooth_adapter_details()
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/bluetooth_adapters/__init__.py", line 29, in get_bluetooth_adapter_details
3|ais  |     results = await _get_dbus_managed_objects()
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/bluetooth_adapters/__init__.py", line 48, in _get_dbus_managed_objects
3|ais  |     bus = await MessageBus(
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/dbus_fast/aio/message_bus.py", line 145, in __init__
3|ais  |     super().__init__(bus_address, bus_type, ProxyObject)
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/dbus_fast/message_bus.py", line 98, in __init__
3|ais  |     self._setup_socket()
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/dbus_fast/message_bus.py", line 635, in _setup_socket
3|ais  |     raise err
3|ais  |   File "/data/data/com.termux/files/usr/lib/python3.10/site-packages/dbus_fast/message_bus.py", line 608, in _setup_socket
3|ais  |     self._sock.connect(filename)
3|ais  | PermissionError: [Errno 13] Permission denied


to co┼Ť z bluetooth chyba, BT nie zadzia┼éa bo jest audio a nie jest LE,
jak chcesz BT do sterowania urz─ůdzeniami, to trzeba zrobi─ç proxy z ESP32

Nowa wersja wydana na ALFA,
image

zmiany:

  1. poprawka na autostart systemu po braku zasilania

  1. najnowszy Home Assistant

Release 2022.9.6 - September 22

1 polubienie

Witam

Po aktualizacji (z poziomu aplikacji czy te┼╝ r─Öcznie) mam nowe HA ale aplikacja Android nadal 4.0.0. Czy to u tylko mnie taki problem?

1 polubienie

Hej, a kiedy Nikodem b─Ödzie w wersji stable ?

Grudzie┼ä 2022, co 6 miesi─Öcy wydajemy wersje stabiln─ů, co miesi─ůc beta i co jaki┼Ť czas alfa

nowe wydanie na kanale ALFA

image

Najnowszy Home Assistant w wersji 2022.10.0b1, co nowego:

  1. Widoki podrz─Ödne
    to nowy typ widok├│w kt├│re nie s─ů wy┼Ťwietlane na kartach i maj─ů przycisk Wstecz.

na demo prze┼é─ůczyli┼Ťmy widoki pomieszcze┼ä na podrz─Ödne i jest ┼éadniej :slight_smile:

widok

  1. Integracje pogrupowane po dostawcy

  1. Najnowszy python i 80 innych pakiet├│w

1 polubienie

O dziwo od kilku miesi─Öcy bramka poprawnie si─Ö zrestartowa┼é bez konieczno┼Ťci odcinania jej zasilania lub ponownego restartu z konsoli ale w ustawieniach wy┼Ťwietla b┼é─ůd zwi─ůzany z waszymi komponentami


Oraz

I kolejny b┼é─ůd?

A w logach jest ca┼éa litania b┼é─Öd├│w i nawet nie mo┼╝na zrestartowa─ç bo wy┼Ťwietla b┼é─ůd

The system cannot restart because the configuration is not valid: Component error: alexa - IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the numpy C-extensions failed. This error can happen for many reasons, often due to issues with your setup or how NumPy was installed. We have compiled some common reasons and troubleshooting tips at: https://numpy.org/devdocs/user/troubleshooting-importerror.html Please note and check the following: * The Python version is: Python3.10 from "/data/data/com.termux/files/usr/bin/python" * The NumPy version is: "1.23.1" and make sure that they are the versions you expect. Please carefully study the documentation linked above for further help. Original error was: dlopen failed: cannot locate symbol "__aeabi_f2lz" referenced by "/data/data/com.termux/files/usr/lib/python3.10/site-packages/numpy/core/_multiarray_umath.cpython-310.so"... Platform error sensor.systemmonitor - dlopen failed: cannot locate symbol "ethtool_cmd_speed" referenced by "/data/data/com.termux/files/usr/lib/python3.10/site-packages/psutil/_psutil_linux.cpython-310.so"... Component error: google_assistant - IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the numpy C-extensions failed. This error can happen for many reasons, often due to issues with your setup or how NumPy was installed. We have compiled some common reasons and troubleshooting tips at: https://numpy.org/devdocs/user/troubleshooting-importerror.html Please note and check the following: * The Python version is: Python3.10 from "/data/data/com.termux/files/usr/bin/python" * The NumPy version is: "1.23.1" and make sure that they are the versions you expect. Please carefully study the documentation linked above for further help. Original error was: dlopen failed: cannot locate symbol "__aeabi_f2lz" referenced by "/data/data/com.termux/files/usr/lib/python3.10/site-packages/numpy/core/_multiarray_umath.cpython-310.so"... Component error: conversation - dlopen failed: cannot locate symbol "ethtool_cmd_speed" referenced by "/data/data/com.termux/files/usr/lib/python3.10/site-packages/psutil/_psutil_linux.cpython-310.so"...

A jak masz dodany google assistant do bramki?